version: "3"
name: transporte-frontend

services:
  app:
    image: node:18-alpine
    volumes:
      - ../:/app
    ports:
      - 3000:3000
    environment:
      - VITE_PORT=3000
      - VITE_BACKEND=http://localhost:4000/api
      # - VITE_BACKEND=http://transporte.hz.kursor.cl/api
    working_dir: /app
    command: sh -c "
      [ ! -d node_modules ] && npm install ;
      chmod -R o+w . ;
      npm run dev
      "